Quassel IRC - Bug #1043

Input line loses focus after nick tab completion (OS X)
12/11/2010 05:39 PM - incandenza

Status: Closed Start date: 12/11/2010
Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.7-pre 0S: Mac OS X
Description

OS X 10.6.5 with quassel-client 0.7.1.

In the input line, type the beginning of a nick and press TAB to complete it. Then continue to type--nothing appears because the
input line has lost focus. You have to click the input line again to restore focus to it to continue to type.

Related issues:
Has duplicate Quassel IRC - Bug #1060: Tab completion of nicks in OSX Client ... Closed 03/11/2011

History

#1 - 03/03/2011 02:44 PM - EgS

- Category set to Quassel GUI (Qt)

- Status changed from New to Resolved
- Assignee set to EgS

- % Done changed from 0 to 100

- OS changed from Any to Mac OS X

This was due to a bug in Qt 4.7.0 and is fixed in Qt 4.7.1.

I've recompiled and rebundled Quassel Client 0.7.1 for Mac OS. The fixed version has the same URL:
http://quassel-irc.org/pub/QuasselClient_MacOSX-universal_0.7.1.dm

#2 - 03/24/2011 11:49 AM - freqmodn

- Status changed from Resolved to Feedback

This works for a while, and then (maybe after suspend) it stops working again Then i have to restart the quassel client.

I will try to find out a way to reproduce the bug and report it here.

#3 - 03/30/2011 04:12 PM - elbryan

| had the same issue with the latest M4yer build.

With the attached dmg file it seems to work just fine. | think you can merge the changes so the next nightly builds will contain the fix :)

#4 - 04/18/2011 02:39 PM - lostdogs

| decided to give it a try with the latest build from EgS. At first it did seem to be solved. But then the issue reappeared. Even restarting the client does
not do the trick for me. | will downgrade again to a version that works. But | am willing to give more feedback when needed.

#5 - 04/18/2011 02:40 PM - elbryan
Same problem here. At "fresh boot" it will work. But if you put the mac into sleep, when you wake it up it keeps loosing focus.
A quick "workaround" | found is to press "tab" twice.

#6 - 11/26/2011 09:24 PM - aldeka

For me, tab complete always loses focus. Even on reboot of the machine, or quitting and reopening Quassel--there is no circumstance, with the
newest version of Quassel, where it works correctly. My Mac is a desktop, so it's definitely not suspend related. :)
http://quassel-irc.org/pub/QuasselClient_MacOSX-universal_0.7.1.dmg

The double-tab workaround is greatly appreciated, though, for the sake of my sanity.

#7 - 03/18/2012 12:31 AM - Anonymous
- Status changed from Feedback to Closed

Confirmed to be fixed with newer builds (linked against newer Qt) of Quassel. ( e.g.

http://koudelka.dyndns.org/quassel/QuasselClient_MacOSX_Universal_0.8-rc1.dmg )
